%define	name	monodoc
%define version 1.9

%define release %mkrel 2
%define mono 1.2.5
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define monodir %_prefix/lib/mono
%define monodocdir %_prefix/lib/monodoc
Summary:	MonoDoc contains the documentation for Mono
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Other
URL:		http://www.go-mono.org/download.html
Source0:	http://www.go-mono.com/sources/%name/%name-%version.zip
BuildRoot:	%_tmppath/%name-buildroot
BuildArch: noarch
BuildRequires:	mono-devel

%description
MonoDoc contains the documentation for the Mono class libraries
as well as tools to produce and edit the documentation.


%prep
rm -rf %buildroot

%setup -q

%build

./configure --prefix=%_prefix --libdir=%_prefix/lib --mandir=%_mandir

# parallel make breaks netdocs.zip
make

%install
rm -rf %buildroot
%makeinstall_std pkgconfigdir=%pkgconfigdir
rm -f %buildroot%monodocdir/sources/gecko-sharp*

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README 
%_bindir/*
%dir %monodocdir
%monodocdir/assembler.exe
%monodocdir/cs2ecma.exe
%monodocdir/mod.exe
%monodocdir/monodocer.exe
%monodocdir/monodocer1.exe
%monodocdir/monodocs2html.exe
%monodocdir/monodocs2slashdoc.exe
%monodocdir/normalize.exe
%monodocdir/validate.exe
%_mandir/man1/*
%config %monodocdir/monodoc.xml
%dir %monodocdir/sources
%monodocdir/sources/Mono.source
%monodocdir/sources/Mono.tree
%monodocdir/sources/Mono.zip
%monodocdir/sources/Novell.source
%monodocdir/sources/Novell.tree
%monodocdir/sources/Novell.zip
%monodocdir/sources/cs-errors.source
%monodocdir/sources/cs-errors.tree
%monodocdir/sources/cs-errors.zip
%monodocdir/sources/ecma334.source
%monodocdir/sources/ecma334.tree
%monodocdir/sources/ecma334.zip
%monodocdir/sources/monoapi.source
%monodocdir/sources/monoapi.tree
%monodocdir/sources/monoapi.zip
%monodocdir/sources/netdocs.source
%monodocdir/sources/netdocs.tree
%monodocdir/sources/netdocs.zip
%monodocdir/sources/nunit-docs.source
%monodocdir/sources/nunit-docs.tree
%monodocdir/sources/nunit-docs.zip
%monodir/monodoc/monodoc.dll*
%monodir/gac/monodoc
%pkgconfigdir/monodoc.pc




%changelog
* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9-2mdv2009.0
+ Revision: 265173
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 192401
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119279
- new version
- update file list

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2008.0
+ Revision: 75985
- new version
- bump deps

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2008.0
+ Revision: 27357
- new version


* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-2mdv2007.0
+ Revision: 117185
- drop monoapi.source, it was responsible for an error

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.1
+ Revision: 116999
- new version
- update file list

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.1
+ Revision: 86335
- new version
- add man pages

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
+ Revision: 65580
- Import monodoc

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
- New version 1.1.18

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.0
- New release 1.1.17

* Mon Jul 24 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16-2mdv2007.0
- declare monodoc.xml a configuration file

* Sat Jul 08 2006 Götz Waschk <waschk@mandriva.org> 1.1.16-1mdk
- New release 1.1.16

* Wed Jan 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-1mdk
- New release 1.1.13

* Tue Dec 20 2005 Gtz Waschk <waschk@mandriva.org> 1.1.11-1mdk
- New release 1.1.11

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-3mdk
- rebuild for new mono
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-2mdk
- rebuild for new mono

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- update file list
- New release 1.1.10

* Sun Sep 11 2005 Götz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- New release 1.1.9

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 1.0.7-4mdk
- remove index

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 1.0.7-3mdk
- fix buildrequires

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 1.0.7-2mdk
- really remove the gecko-sharp docs

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 1.0.7-1mdk
- remove the browser
- source URL
- New release 1.0.7

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-6mdk
- remove gecko-sharp docs (now in gecko-sharp2 package)

* Sat May 14 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-5mdk
- really fix the post script

* Fri May 13 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-4mdk
- disable aot, broken in mono 1.1.7

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-3mdk
- aot compile the executables in %%post

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 1.0.6-2mdk
- fix pkgconfig location

* Sat Feb 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- New release 1.0.6

* Thu Dec 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- New release 1.0.5

* Fri Nov 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- fix source URL
- New release 1.0.4

* Fri Oct 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- make it a noarch package

* Wed Sep 29 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- New release 1.0.2

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- fix gac symlinks
- new version

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- rebuild for new rpm

* Fri Jul 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new version

* Thu Jun 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- new version

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.16-3mdk
- fix group

* Sun Jun 06 2004 Marcel Pol <mpol@mandrake.org 0.16-2mdk
- update (build)requires

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.16-1mdk
- requires new gtk-sharp
- new version

* Thu May 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.15-2mdk
- rebuild

* Thu May 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.15-1mdk
- fix file section
- requires new gtk#
- new version

* Sat May 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-2mdk
- generate index in post script

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-1mdk
- make short-circuit compatible
- add menu entry
- add new files to the package
- fix configure call
- fix source URL
- new version

* Mon Feb 16 2004 Marcel Pol <mpol@mandrake.org> 0.10-1mdk
- 0.10

* Mon Feb 09 2004 Marcel Pol <mpol@mandrake.org> 0.9-2mdk
- remove redundant (build)requires

